hoistPattern:
  - '*'
hoistedDependencies:
  /@azure-rest/core-client/2.5.0:
    '@azure-rest/core-client': private
  /@azure/abort-controller/1.1.0:
    '@azure/abort-controller': private
  /@azure/core-auth/1.10.0:
    '@azure/core-auth': private
  /@azure/core-client/1.10.0:
    '@azure/core-client': private
  /@azure/core-http-compat/2.3.0:
    '@azure/core-http-compat': private
  /@azure/core-lro/2.7.2:
    '@azure/core-lro': private
  /@azure/core-paging/1.6.2:
    '@azure/core-paging': private
  /@azure/core-rest-pipeline/1.22.0:
    '@azure/core-rest-pipeline': private
  /@azure/core-tracing/1.3.0:
    '@azure/core-tracing': private
  /@azure/core-util/1.13.0:
    '@azure/core-util': private
  /@azure/identity/2.1.0:
    '@azure/identity': private
  /@azure/keyvault-common/2.0.0:
    '@azure/keyvault-common': private
  /@azure/keyvault-keys/4.10.0:
    '@azure/keyvault-keys': private
  /@azure/logger/1.3.0:
    '@azure/logger': private
  /@azure/msal-browser/2.39.0:
    '@azure/msal-browser': private
  /@azure/msal-common/7.6.0:
    '@azure/msal-common': private
  /@azure/msal-node/1.18.4:
    '@azure/msal-node': private
  /@hapi/address/4.1.0:
    '@hapi/address': private
  /@hapi/formula/2.0.0:
    '@hapi/formula': private
  /@hapi/hoek/9.3.0:
    '@hapi/hoek': private
  /@hapi/pinpoint/2.0.1:
    '@hapi/pinpoint': private
  /@hapi/topo/5.1.0:
    '@hapi/topo': private
  /@img/sharp-darwin-arm64/0.34.3:
    '@img/sharp-darwin-arm64': private
  /@img/sharp-darwin-x64/0.34.3:
    '@img/sharp-darwin-x64': private
  /@img/sharp-libvips-darwin-arm64/1.2.0:
    '@img/sharp-libvips-darwin-arm64': private
  /@img/sharp-libvips-darwin-x64/1.2.0:
    '@img/sharp-libvips-darwin-x64': private
  /@img/sharp-libvips-linux-arm/1.2.0:
    '@img/sharp-libvips-linux-arm': private
  /@img/sharp-libvips-linux-arm64/1.2.0:
    '@img/sharp-libvips-linux-arm64': private
  /@img/sharp-libvips-linux-ppc64/1.2.0:
    '@img/sharp-libvips-linux-ppc64': private
  /@img/sharp-libvips-linux-s390x/1.2.0:
    '@img/sharp-libvips-linux-s390x': private
  /@img/sharp-libvips-linux-x64/1.2.0:
    '@img/sharp-libvips-linux-x64': private
  /@img/sharp-libvips-linuxmusl-arm64/1.2.0:
    '@img/sharp-libvips-linuxmusl-arm64': private
  /@img/sharp-libvips-linuxmusl-x64/1.2.0:
    '@img/sharp-libvips-linuxmusl-x64': private
  /@img/sharp-linux-arm/0.34.3:
    '@img/sharp-linux-arm': private
  /@img/sharp-linux-arm64/0.34.3:
    '@img/sharp-linux-arm64': private
  /@img/sharp-linux-ppc64/0.34.3:
    '@img/sharp-linux-ppc64': private
  /@img/sharp-linux-s390x/0.34.3:
    '@img/sharp-linux-s390x': private
  /@img/sharp-linux-x64/0.34.3:
    '@img/sharp-linux-x64': private
  /@img/sharp-linuxmusl-arm64/0.34.3:
    '@img/sharp-linuxmusl-arm64': private
  /@img/sharp-linuxmusl-x64/0.34.3:
    '@img/sharp-linuxmusl-x64': private
  /@img/sharp-wasm32/0.34.3:
    '@img/sharp-wasm32': private
  /@img/sharp-win32-arm64/0.34.3:
    '@img/sharp-win32-arm64': private
  /@img/sharp-win32-ia32/0.34.3:
    '@img/sharp-win32-ia32': private
  /@img/sharp-win32-x64/0.34.3:
    '@img/sharp-win32-x64': private
  /@js-joda/core/5.6.5:
    '@js-joda/core': private
  /@sideway/address/4.1.5:
    '@sideway/address': private
  /@sideway/formula/3.0.1:
    '@sideway/formula': private
  /@sideway/pinpoint/2.0.0:
    '@sideway/pinpoint': private
  /@tediousjs/connection-string/0.5.0:
    '@tediousjs/connection-string': private
  /@typespec/ts-http-runtime/0.3.0:
    '@typespec/ts-http-runtime': private
  /accepts/1.3.8:
    accepts: private
  /address/1.2.2:
    address: private
  /agent-base/7.1.4:
    agent-base: private
  /agentkeepalive/3.5.3:
    agentkeepalive: private
  /any-promise/1.3.0:
    any-promise: private
  /append-field/1.0.0:
    append-field: private
  /array-buffer-byte-length/1.0.2:
    array-buffer-byte-length: private
  /array-flatten/1.1.1:
    array-flatten: private
  /arraybuffer.prototype.slice/1.0.4:
    arraybuffer.prototype.slice: private
  /async-function/1.0.0:
    async-function: private
  /async/3.2.6:
    async: private
  /available-typed-arrays/1.0.7:
    available-typed-arrays: private
  /base64-js/1.5.1:
    base64-js: private
  /bignumber.js/9.0.0:
    bignumber.js: private
  /bl/5.1.0:
    bl: private
  /bowser/1.9.4:
    bowser: private
  /buffer-equal-constant-time/1.0.1:
    buffer-equal-constant-time: private
  /buffer-from/1.1.2:
    buffer-from: private
  /buffer/6.0.3:
    buffer: private
  /builtin-status-codes/3.0.0:
    builtin-status-codes: private
  /busboy/1.6.0:
    busboy: private
  /bytes/3.1.2:
    bytes: private
  /call-bind-apply-helpers/1.0.2:
    call-bind-apply-helpers: private
  /call-bind/1.0.8:
    call-bind: private
  /call-bound/1.0.4:
    call-bound: private
  /color-convert/2.0.1:
    color-convert: private
  /color-name/1.1.4:
    color-name: private
  /color-string/1.9.1:
    color-string: private
  /color/4.2.3:
    color: private
  /commander/11.1.0:
    commander: private
  /concat-stream/1.6.2:
    concat-stream: private
  /content-disposition/0.5.4:
    content-disposition: private
  /content-type/1.0.5:
    content-type: private
  /cookie-signature/1.0.6:
    cookie-signature: private
  /cookie/0.7.1:
    cookie: private
  /copy-to/2.0.1:
    copy-to: private
  /core-util-is/1.0.3:
    core-util-is: private
  /data-view-buffer/1.0.2:
    data-view-buffer: private
  /data-view-byte-length/1.0.2:
    data-view-byte-length: private
  /data-view-byte-offset/1.0.1:
    data-view-byte-offset: private
  /dateformat/2.2.0:
    dateformat: private
  /debug/4.4.1:
    debug: private
  /default-user-agent/1.0.0:
    default-user-agent: private
  /define-data-property/1.1.4:
    define-data-property: private
  /define-lazy-prop/2.0.0:
    define-lazy-prop: private
  /define-properties/1.2.1:
    define-properties: private
  /depd/2.0.0:
    depd: private
  /destroy/1.2.0:
    destroy: private
  /detect-libc/2.0.4:
    detect-libc: private
  /digest-header/1.1.0:
    digest-header: private
  /dunder-proto/1.0.1:
    dunder-proto: private
  /ecdsa-sig-formatter/1.0.11:
    ecdsa-sig-formatter: private
  /ee-first/1.1.1:
    ee-first: private
  /encodeurl/2.0.0:
    encodeurl: private
  /end-of-stream/1.4.5:
    end-of-stream: private
  /end-or-error/1.0.1:
    end-or-error: private
  /es-abstract/1.24.0:
    es-abstract: private
  /es-aggregate-error/1.0.14:
    es-aggregate-error: private
  /es-define-property/1.0.1:
    es-define-property: private
  /es-errors/1.3.0:
    es-errors: private
  /es-object-atoms/1.1.1:
    es-object-atoms: private
  /es-set-tostringtag/2.1.0:
    es-set-tostringtag: private
  /es-to-primitive/1.3.0:
    es-to-primitive: private
  /escape-html/1.0.3:
    escape-html: private
  /etag/1.8.1:
    etag: private
  /events/3.3.0:
    events: private
  /express-unless/1.0.0:
    express-unless: private
  /extend-shallow/2.0.1:
    extend-shallow: private
  /finalhandler/1.3.1:
    finalhandler: private
  /for-each/0.3.5:
    for-each: private
  /formstream/1.5.1:
    formstream: private
  /forwarded/0.2.0:
    forwarded: private
  /fresh/0.5.2:
    fresh: private
  /function-bind/1.1.2:
    function-bind: private
  /function.prototype.name/1.1.8:
    function.prototype.name: private
  /functions-have-names/1.2.3:
    functions-have-names: private
  /get-intrinsic/1.3.0:
    get-intrinsic: private
  /get-proto/1.0.1:
    get-proto: private
  /get-ready/1.0.0:
    get-ready: private
  /get-symbol-description/1.1.0:
    get-symbol-description: private
  /globalthis/1.0.4:
    globalthis: private
  /gopd/1.2.0:
    gopd: private
  /has-bigints/1.1.0:
    has-bigints: private
  /has-property-descriptors/1.0.2:
    has-property-descriptors: private
  /has-proto/1.2.0:
    has-proto: private
  /has-symbols/1.1.0:
    has-symbols: private
  /has-tostringtag/1.0.2:
    has-tostringtag: private
  /hasown/2.0.2:
    hasown: private
  /heic-decode/2.1.0:
    heic-decode: private
  /http-errors/2.0.0:
    http-errors: private
  /http-proxy-agent/7.0.2:
    http-proxy-agent: private
  /https-proxy-agent/7.0.6:
    https-proxy-agent: private
  /humanize-ms/1.2.1:
    humanize-ms: private
  /ieee754/1.2.1:
    ieee754: private
  /inherits/2.0.4:
    inherits: private
  /internal-slot/1.1.0:
    internal-slot: private
  /ipaddr.js/1.9.1:
    ipaddr.js: private
  /is-array-buffer/3.0.5:
    is-array-buffer: private
  /is-arrayish/0.3.2:
    is-arrayish: private
  /is-async-function/2.1.1:
    is-async-function: private
  /is-bigint/1.1.0:
    is-bigint: private
  /is-boolean-object/1.2.2:
    is-boolean-object: private
  /is-callable/1.2.7:
    is-callable: private
  /is-class-hotfix/0.0.6:
    is-class-hotfix: private
  /is-data-view/1.0.2:
    is-data-view: private
  /is-date-object/1.1.0:
    is-date-object: private
  /is-docker/2.2.1:
    is-docker: private
  /is-extendable/0.1.1:
    is-extendable: private
  /is-finalizationregistry/1.1.1:
    is-finalizationregistry: private
  /is-generator-function/1.1.0:
    is-generator-function: private
  /is-map/2.0.3:
    is-map: private
  /is-negative-zero/2.0.3:
    is-negative-zero: private
  /is-number-object/1.1.1:
    is-number-object: private
  /is-regex/1.2.1:
    is-regex: private
  /is-set/2.0.3:
    is-set: private
  /is-shared-array-buffer/1.0.4:
    is-shared-array-buffer: private
  /is-string/1.1.1:
    is-string: private
  /is-symbol/1.1.1:
    is-symbol: private
  /is-type-of/1.4.0:
    is-type-of: private
  /is-typed-array/1.1.15:
    is-typed-array: private
  /is-weakmap/2.0.2:
    is-weakmap: private
  /is-weakref/1.1.1:
    is-weakref: private
  /is-weakset/2.0.4:
    is-weakset: private
  /is-wsl/2.2.0:
    is-wsl: private
  /isarray/1.0.0:
    isarray: private
  /isstream/0.1.2:
    isstream: private
  /jpeg-js/0.4.4:
    jpeg-js: private
  /js-base64/2.6.4:
    js-base64: private
  /js-md4/0.3.2:
    js-md4: private
  /jsbi/4.3.2:
    jsbi: private
  /jstoxml/2.2.9:
    jstoxml: private
  /jwa/1.4.2:
    jwa: private
  /jws/3.2.2:
    jws: private
  /libheif-js/1.19.8:
    libheif-js: private
  /lodash.includes/4.3.0:
    lodash.includes: private
  /lodash.isboolean/3.0.3:
    lodash.isboolean: private
  /lodash.isinteger/4.0.4:
    lodash.isinteger: private
  /lodash.isnumber/3.0.3:
    lodash.isnumber: private
  /lodash.isplainobject/4.0.6:
    lodash.isplainobject: private
  /lodash.isstring/4.0.1:
    lodash.isstring: private
  /lodash.once/4.1.1:
    lodash.once: private
  /lodash/4.17.21:
    lodash: private
  /math-intrinsics/1.1.0:
    math-intrinsics: private
  /media-typer/0.3.0:
    media-typer: private
  /merge-descriptors/1.0.3:
    merge-descriptors: private
  /methods/1.1.2:
    methods: private
  /mime-db/1.52.0:
    mime-db: private
  /mime/2.6.0:
    mime: private
  /minimist/1.2.8:
    minimist: private
  /mkdirp/0.5.6:
    mkdirp: private
  /ms/2.1.3:
    ms: private
  /mz/2.7.0:
    mz: private
  /native-duplexpair/1.0.0:
    native-duplexpair: private
  /negotiator/0.6.3:
    negotiator: private
  /node-abort-controller/3.1.1:
    node-abort-controller: private
  /node-hex/1.0.1:
    node-hex: private
  /object-assign/4.1.1:
    object-assign: private
  /object-inspect/1.13.4:
    object-inspect: private
  /object-keys/1.1.1:
    object-keys: private
  /object.assign/4.1.7:
    object.assign: private
  /on-finished/2.4.1:
    on-finished: private
  /once/1.4.0:
    once: private
  /open/8.4.2:
    open: private
  /os-name/1.0.3:
    os-name: private
  /osx-release/1.1.0:
    osx-release: private
  /own-keys/1.0.1:
    own-keys: private
  /parseurl/1.3.3:
    parseurl: private
  /path-to-regexp/0.1.12:
    path-to-regexp: private
  /pause-stream/0.0.11:
    pause-stream: private
  /platform/1.3.6:
    platform: private
  /pngjs/6.0.0:
    pngjs: private
  /possible-typed-array-names/1.1.0:
    possible-typed-array-names: private
  /process-nextick-args/2.0.1:
    process-nextick-args: private
  /process/0.11.10:
    process: private
  /proxy-addr/2.0.7:
    proxy-addr: private
  /pump/3.0.3:
    pump: private
  /punycode/2.3.1:
    punycode: private
  /qs/6.14.0:
    qs: private
  /range-parser/1.2.1:
    range-parser: private
  /raw-body/2.5.2:
    raw-body: private
  /readable-stream/2.3.7:
    readable-stream: private
  /reflect.getprototypeof/1.0.10:
    reflect.getprototypeof: private
  /regexp.prototype.flags/1.5.4:
    regexp.prototype.flags: private
  /rfdc/1.4.1:
    rfdc: private
  /safe-array-concat/1.1.3:
    safe-array-concat: private
  /safe-buffer/5.2.1:
    safe-buffer: private
  /safe-push-apply/1.0.0:
    safe-push-apply: private
  /safe-regex-test/1.1.0:
    safe-regex-test: private
  /safer-buffer/2.1.2:
    safer-buffer: private
  /sax/1.4.1:
    sax: private
  /sdk-base/2.0.1:
    sdk-base: private
  /semver/5.7.2:
    semver: private
  /send/0.19.0:
    send: private
  /serve-static/1.16.2:
    serve-static: private
  /set-function-length/1.2.2:
    set-function-length: private
  /set-function-name/2.0.2:
    set-function-name: private
  /set-proto/1.0.0:
    set-proto: private
  /setprototypeof/1.2.0:
    setprototypeof: private
  /side-channel-list/1.0.0:
    side-channel-list: private
  /side-channel-map/1.0.1:
    side-channel-map: private
  /side-channel-weakmap/1.0.2:
    side-channel-weakmap: private
  /side-channel/1.1.0:
    side-channel: private
  /simple-swizzle/0.2.2:
    simple-swizzle: private
  /sprintf-js/1.1.3:
    sprintf-js: private
  /sqlstring/2.3.1:
    sqlstring: private
  /statuses/2.0.1:
    statuses: private
  /stop-iteration-iterator/1.1.0:
    stop-iteration-iterator: private
  /stoppable/1.1.0:
    stoppable: private
  /stream-http/2.8.2:
    stream-http: private
  /stream-wormhole/1.1.0:
    stream-wormhole: private
  /streamsearch/1.1.0:
    streamsearch: private
  /string.prototype.trim/1.2.10:
    string.prototype.trim: private
  /string.prototype.trimend/1.0.9:
    string.prototype.trimend: private
  /string.prototype.trimstart/1.0.8:
    string.prototype.trimstart: private
  /string_decoder/1.1.1:
    string_decoder: private
  /tarn/3.0.2:
    tarn: private
  /tedious/15.1.3:
    tedious: private
  /thenify-all/1.6.0:
    thenify-all: private
  /thenify/3.3.1:
    thenify: private
  /through/2.3.8:
    through: private
  /to-arraybuffer/1.0.1:
    to-arraybuffer: private
  /toidentifier/1.0.1:
    toidentifier: private
  /tslib/2.8.1:
    tslib: private
  /type-is/1.6.18:
    type-is: private
  /typed-array-buffer/1.0.3:
    typed-array-buffer: private
  /typed-array-byte-length/1.0.3:
    typed-array-byte-length: private
  /typed-array-byte-offset/1.0.4:
    typed-array-byte-offset: private
  /typed-array-length/1.0.7:
    typed-array-length: private
  /typedarray/0.0.6:
    typedarray: private
  /unbox-primitive/1.1.0:
    unbox-primitive: private
  /unescape/1.0.1:
    unescape: private
  /unpipe/1.0.0:
    unpipe: private
  /urllib/2.44.0:
    urllib: private
  /util-deprecate/1.0.2:
    util-deprecate: private
  /util/0.10.4:
    util: private
  /utility/1.18.0:
    utility: private
  /utils-merge/1.0.1:
    utils-merge: private
  /vary/1.1.2:
    vary: private
  /which-boxed-primitive/1.1.1:
    which-boxed-primitive: private
  /which-builtin-type/1.2.1:
    which-builtin-type: private
  /which-collection/1.0.2:
    which-collection: private
  /which-typed-array/1.1.19:
    which-typed-array: private
  /win-release/1.1.1:
    win-release: private
  /wrappy/1.0.2:
    wrappy: private
  /xml2js/0.6.2:
    xml2js: private
  /xmlbuilder/11.0.1:
    xmlbuilder: private
  /xtend/4.0.2:
    xtend: private
included:
  dependencies: true
  devDependencies: true
  optionalDependencies: true
injectedDeps: {}
layoutVersion: 5
nodeLinker: isolated
packageManager: pnpm@8.15.7
pendingBuilds: []
prunedAt: Mon, 28 Jul 2025 08:12:58 GMT
publicHoistPattern:
  - '*eslint*'
  - '*prettier*'
registries:
  default: https://mirrors.cloud.tencent.com/npm/
skipped:
  - /@emnapi/runtime/1.4.5
  - /@img/sharp-darwin-arm64/0.34.3
  - /@img/sharp-darwin-x64/0.34.3
  - /@img/sharp-libvips-darwin-arm64/1.2.0
  - /@img/sharp-libvips-darwin-x64/1.2.0
  - /@img/sharp-libvips-linux-arm/1.2.0
  - /@img/sharp-libvips-linux-arm64/1.2.0
  - /@img/sharp-libvips-linux-ppc64/1.2.0
  - /@img/sharp-libvips-linux-s390x/1.2.0
  - /@img/sharp-libvips-linuxmusl-arm64/1.2.0
  - /@img/sharp-linux-arm/0.34.3
  - /@img/sharp-linux-arm64/0.34.3
  - /@img/sharp-linux-ppc64/0.34.3
  - /@img/sharp-linux-s390x/0.34.3
  - /@img/sharp-linuxmusl-arm64/0.34.3
  - /@img/sharp-wasm32/0.34.3
  - /@img/sharp-win32-arm64/0.34.3
  - /@img/sharp-win32-ia32/0.34.3
  - /@img/sharp-win32-x64/0.34.3
storeDir: /root/.local/share/pnpm/store/v3
virtualStoreDir: .pnpm
